Subject: Re: [PATCH v2 1/2] Teach git version --build-options about libcurl

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Jun 2024 17:00:43 -0700

Jeff King <[email-masked]> writes:

> But we could also have "git version --build-options" call "remote-https
> --build-options" automatically, and just let it dump to the shared
> stdout stream.

Yes, if we were to care the version of libcURL dynamic library that
gets linked at runtime, what you describe does sound like the right
way to go.  The separation between "git" (which does not depend on
libcURL at all) and "git-remote-http" (which happens to depend on
it) is our business and it is our responsibility to hide that from
the end users.

It certainly is MUCH better than making "git-help" a standalone
binary that links with everything we link with, only for version
reporting.

Thanks.